Table of Contents

## Name

XtSessionGetToken, XtSessionReturnToken - token management for checkpointing

## Syntax

XtCheckpointToken XtSessionGetToken(Widget w, int type);
void XtSessionReturntoken(XtCheckpointToken token);

## Arguments

Specifies the session widget.

Specifies the value in the type field of the token.

Specifies the token to be returned.

## Description

The XtSessionGetToken function will return NULL if the checkpoint operation instigated by the session manager is not currently under way.

To indicate the completion of a deferred save operation and to return the checkpoint token use XtSessionReturnToken.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also